Package org.gradle.tooling.events.configuration

## Interface ProjectConfigurationOperationResult.PluginApplicationResult

- Enclosing interface:
    ProjectConfigurationOperationResult

      public static interface ProjectConfigurationOperationResult.PluginApplicationResult

  Describes the result of applying a plugin.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PluginIdentifier` | `getPlugin()` | Returns the identifier of this plugin.
    `java.time.Duration` | `getTotalConfigurationTime()` | Returns the total configuration time of this plugin.

- - ### Method Detail

    - #### getPlugin

          PluginIdentifier getPlugin()

      Returns the identifier of this plugin.

    - #### getTotalConfigurationTime

          java.time.Duration getTotalConfigurationTime()

      Returns the total configuration time of this plugin.